package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("关注话题列表")
public class TopicFollowQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "阅读量")
    private String formatViewCount;

    @ApiModelProperty(value = "讨论量")
    private String formatDisscussCount;

    @ApiModelProperty(value = "话题介绍")
    private String topicDesc;

    @ApiModelProperty(value = "封面")
    private String coverImg;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "是否有权限")
    private boolean hasPermission;

    @ApiModelProperty(value = "更新帖子数量")
    private Integer updateCount;

    @ApiModelProperty(value = "最近一条讨论")
    public String lastTheme;

    @ApiModelProperty(value = "最近一条讨论发表时间")
    public long lastThemeSecond;

    @ApiModelProperty(value = "最近一条讨论发表时间-格式化")
    public String lastThemeTime;

    public boolean checkTopicName(String keyword) {
        if (StringUtils.isBlank(keyword)) {
            return true;
        }
        return this.topicTitle.contains(keyword);
    }
}
